package com.cea436.appnum11;

import android.R;
import android.os.Bundle;
import android.app.Activity;
import android.util.Log;
import android.view.Menu;
import android.widget.TextView;

public class ExemploCicloVida extends Activity {

	public static final String CATEGORIA = "COMP_MOVEL";
	private TextView tView;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		Log.i(CATEGORIA, this.getLocalClassName() + ".onCreate() chamado!");
		
		tView = new TextView(this);
		tView.setText("Exemplo do ciclo de vida. Vide logcats!");
		setContentView(tView);
	}
	
	@Override
	protected void onStart() {
		super.onStart();
		Log.i(CATEGORIA,this.getLocalClassName() + ".onStart() chamado!");
	}
	
	@Override
	protected void onRestart() {
		super.onRestart();
		Log.i(CATEGORIA,this.getLocalClassName() + ".onRestart() chamado!");
	}
	
	@Override
	protected void onPause() {
		super.onPause();
		Log.i(CATEGORIA,this.getLocalClassName() + ".onPause() chamado!");
	}
	
	@Override
	protected void onResume() {
		super.onResume();
		Log.i(CATEGORIA,this.getLocalClassName() + ".onResume() chamado!");
	}
	
	@Override
	protected void onStop() {
		super.onStop();
		Log.i(CATEGORIA,this.getLocalClassName() + ".onStop() chamado!");
	}
	
	@Override
	protected void onDestroy() {
		super.onDestroy();
		Log.i(CATEGORIA,this.getLocalClassName() + ".onDestroy() chamado!");
		tView = null;
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		return true;
	}

}
